Skip to main content
POST
/
api
/
policy-gateway
/
exports
Create an audit log export sink
curl --request POST \
  --url https://api.abliteration.ai/api/policy-gateway/exports \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "<string>",
  "label": "<string>",
  "enabled": true,
  "config": {}
}
'
{
  "export": {
    "id": "<string>",
    "type": "<string>",
    "label": "<string>",
    "enabled": true,
    "config": {},
    "created_at": "<string>",
    "updated_at": "<string>",
    "last_success_at": "<string>",
    "last_error_at": "<string>",
    "last_error": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Use a JWT or API key as a Bearer token.

Body

application/json
type
string

Destination type (splunk_hec, datadog_logs, elastic, s3, azure_monitor)

label
string
enabled
boolean
config
object

Response

Created export sink

export
object